Click here to Skip to main content
15,944,136 members
Please Sign up or sign in to vote.
0.00/5 (No votes)
I have a ClickOnce application that I'm trying to test the installation.
I've set the prerequisite to be .NET 4.0.
When I test it on a workstation with Windows 7 and explicitly remove .NET 4 using the Control Panel, the ClickOnce installation appears to be installing the .NET prerequisite, but then fails with the error message box:
Title: System Update Required
Body: Unable to install or run this application. This application requires your system to be updated to Microsoft Common Language Runtime Version 4.0.30319.0. Please contact your system administrator.

If I exit this failing installation and immediately retry the ClickOnce install, the installer does not appear to install .NET 4 and does successfully install my application.

Any ideas?
Posted

This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)



CodeProject, 20 Bay Street, 11th Floor Toronto, Ontario, Canada M5J 2N8 +1 (416) 849-8900